# Map here should be same as what is defined in the schema for UCS carvel package
# https://gitlab.eng.vmware.com/core-build/upgrade-compatibility-service/-/blob/master/config/carvel-config/schema-values.yaml
load("@ytt:data", "data")
load("podvm_value_generator.star", "is_podvm_supported")
load("single_replica_generator.star", "get_max_replica_count")


def get_ucs_values():
    return {
        "namespace": data.values.namespace,
        "podvm_supported": is_podvm_supported(),
        "max_replica_count": get_max_replica_count(),
    }
end