load("@ytt:data", "data")

def is_podvm_on_stretched_supervisor_supported():
    return is_capability_supported('PodVM_On_Stretched_Supervisor_Supported')
end

def is_multiplecl_for_tkg_supported():
    return (is_capability_supported('MultipleCL_For_TKG_Supported') and data.values.adminMultipleCLForTKGSupported)
end

def is_capability_supported(key):
    for capability in data.values.capabilities:
        if capability['name'] == key:
            return capability['value']
        end
    end
    return False
end