load("@ytt:data", "data")
load("podvm_value_generator.star", "is_podvm_supported")
load("single_replica_generator.star", "get_max_replica_count")

def get_capi_values():
    return {
        "namespace": data.values.namespace,
        "podvm_supported": is_podvm_supported(),
        "cpvm_size": data.values.cpVMSize,
        "stretched_supervisor": data.values.stretchedSupervisor,
        "max_replica_count": get_max_replica_count(),
    }
end
