# These functions are used by the utkg components tanzu_auth, tanzu_cliplugins, tanzu_fg, tkr_service, capabilities.
# packages/framework/bundle/config/overlay/utkg-pi-secret.yaml

load("@ytt:data", "data")

def get_namespace():
    return {
        "namespace": data.values.namespace
    }
end

def get_addson_namespace():
    # Namespace where Core addon packages are installed on the workload cluster
    workload_namespace = "vmware-system-tkg"

    return {
        "tanzuAddonsManager": {
            "namespace": data.values.namespace,
            "addonNamespace": workload_namespace,
            "cbtNamespace": data.values.kappGlobalNamespace
        }
    }
end